using System.Windows.Forms;

namespace DATabExtractor {
    public partial class HelpAboutBox : Form {
        public HelpAboutBox() {
            InitializeComponent();
            HelpAboutRichTextBox.Text = "Tab Extractor " + Application.ProductVersion + "\nConverts a DA Map file and produces the Image.\n\n\"Loading\" lable becomes red when map is loading.\n\nPress \"Enter\" key after filling in a Text File (Open Text, Save Text, Scale), to have it take affect immediatly.\n\nEverytime you change a \"DropDown\" lable, image will be re-created (if one is loaded).  If working with large map file, and want to change a bunch of settings then use the \"Unload Curr Image\" button, switch all the settings, then click enter on the \"Open File\" Text Box.\n\nNote: Changing the scale lower will decrease load time for both \"Square\" and \"Rhombus\".  Changing \"Map Dimensions\" to closer to middle value will decrease load time for \"Rhombus\".\n\nGDI+ (C#'s Image Engine) has a bunch of PixelFormats BUT hardly any worked so I removed mostly all...  Basically keep it Format16bppRgb555 unless you want transparent background then switch to (Format32bppArgb) (A=Alpha=Supports Transparentcy, 32bbp=32bit=higher quality=higher size).  When GDI+ updates more formates should work and thus more will be added.\n\nAnother GDI+ Failure:  Only save formate that supports transparentcy is \"Png\"..., If you want transparent background choose this format and follow previous note.  For me, Gif/16bppRgb555 has best size/quality ratio.\n\n\nEnjoy!";
        }
    }
}